Artifacts
Create, generate, patch, and stream living documents.
Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "content": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Path Parameters
Artifact ID to stream.
uuidHeader Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
text/event-stream
application/json
text/plain
text/plain
curl -X GET "https://example.com/api/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/stream""data: {\"type\":\"chunk\",\"artifactId\":\"uuid\",\"text\":\"# Memo\",\"accumulated\":\"# Memo\"}\n\ndata: {\"type\":\"complete\",\"artifactId\":\"uuid\",\"text\":\"# Memo\\n\\nFinal body\"}\n\n"{
"error": "string",
"status": 0,
"details": {}
}"Not found""Not generating"Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts/bulk-delete" \ -H "Content-Type: application/json" \ -d '{ "artifactIds": [ "e018c1e3-12b2-47d3-8524-fe5f07db979b" ], "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda" }'{
"success": true,
"deleted": 0
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
Artifact file path to look up.
Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/artifacts/by-path?path=string"{
"artifact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts/copy" \ -H "Content-Type: application/json" \ -d '{ "artifact_id": "b7bd6bbb-c7f1-4314-8742-2aeeeece9d12", "from_room_id": "acfeb3e7-f7cb-43df-b67a-f4572b75127d", "to_room_id": "c675df03-d200-413a-8726-1fd69a4b657f", "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf" }'{
"success": true,
"artifactId": "706a3f1e-c357-4634-b1bf-20c221b5bb4e",
"artifactGroupId": "f2656ae0-d509-42a7-9559-be339b18e8ec",
"parentArtifactId": "30de9595-6900-4c53-bd4b-00026267c22f"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts/generate" \ -H "Content-Type: application/json" \ -d '{ "prompt": "string" }'{
"runId": "78c33d18-170c-44d3-a227-b3194f134f73",
"artifactId": "706a3f1e-c357-4634-b1bf-20c221b5bb4e",
"status": "started",
"title": "string",
"type": "string",
"streamUrl": "string"
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
SessionCookie Authenticated Operalta web session Cookie header. In practice this usually contains sb-<project-ref>-auth-token=... and may include chunked siblings; use the full Cookie header copied from a logged-in browser session.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts/move" \ -H "Content-Type: application/json" \ -d '{ "artifact_id": "b7bd6bbb-c7f1-4314-8742-2aeeeece9d12", "from_room_id": "acfeb3e7-f7cb-43df-b67a-f4572b75127d", "to_room_id": "c675df03-d200-413a-8726-1fd69a4b657f", "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf" }'{
"success": true,
"deduped": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidSearch query string. Leave empty to list recent artifacts.
101 <= value <= 25Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/artifacts/search?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"type": "string",
"status": "string",
"version": 0,
"excerpt": "string",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/artifacts/sync" \ -H "Content-Type: application/json" \ -d '{ "file_path": "string", "content": "string" }'{
"artifact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"created": false
}{
"artifact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",
"title": "string",
"description": "string",
"content": "string",
"type": "string",
"version": 0,
"origin_type": "conversation",
"content_type": "string",
"content_format": "string",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"status": "string",
"tags": [
"string"
],
"file_path": "string",
"artifact_group_id": "1db99138-7a87-48fb-9e7a-41f999b4d10c",
"parent_artifact_id": "7480d92d-bde1-4372-92f5-ab1e476d80ef",
"is_final_version": true,
"generated_by": "ai",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"created": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}